OPNK(1)

NAME
openk - universal open (like a punk) for offpunk

SYNOPSIS
openk [-mode MODE] [-linkmode LINKMODE] [-cache-validity CACHE_VALIDITY] [INPUT ...]
openk -h | --help

DESCRIPTION
openk is an universal open command tool that will try to display any file in the pager less(1) after rendering its content with ansicat(1). If that fails, openk will fallback to opening the file with xdg-open(1). If given an URL as input instead of a path, openk will rely on netcache(1) to get the networked content.

  Positional arguments

INPUT
    path to the file or URL to open.

  Keyword arguments

-h, --help
    Show a help message and exit

--mode MODE
    MODE to use to render to choose between normal (default), full or source

--linkmode LINKMODE
    LINKMODE to use to render links. Available are none (default) and end. This option will not effect render mode source.

--cache-validity -CACHE_VALIDITY
    Maximum age (in second) of the cached version before redownloading a new version.

EXIT STATUS

SEE ALSO
ansicat(1), migrate-offpunk-cache(1), netcache(1), offpunk(1), https://offpunk.net/

AUTHORS
Lionel Dricot (Ploum) <offpunk2 at ploum.eu>